How to List Models
Retrieve a list of available models on Get3W.
Endpoint
GET https://api.get3w.com/api/v3/modelsRequest
bash
curl "https://api.get3w.com/api/v3/models" \
-H "Authorization: Bearer YOUR_API_KEY"python
import requests
response = requests.get(
"https://api.get3w.com/api/v3/models",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
models = response.json()["data"]
for model in models:
print(f"{model['id']}: {model['name']}")javascript
const response = await fetch("https://api.get3w.com/api/v3/models", {
headers: { "Authorization": "Bearer YOUR_API_KEY" }
});
const { data } = await response.json();
data.forEach(model => console.log(`${model.id}: ${model.name}`));Response
json
{
"code": 200,
"message": "success",
"data": [
{
"id": "get3w/flux-dev",
"name": "FLUX Dev",
"provider": "get3w",
"category": "text-to-image",
"description": "High-quality text-to-image generation"
},
{
"id": "google/veo3",
"name": "Veo 3",
"provider": "google",
"category": "text-to-video",
"description": "Advanced text-to-video generation"
}
]
}Query Parameters
| Parameter | Type | Description |
|---|---|---|
category | string | Filter by category (e.g., text-to-image) |
provider | string | Filter by provider (e.g., google) |
search | string | Search by name or description |
Example: Filter by Category
bash
curl "https://api.get3w.com/api/v3/models?category=text-to-image" \
-H "Authorization: Bearer YOUR_API_KEY"Next Steps
- What are Models — Understand model concepts
- How to Choose the Right Model — Selection guide